import { AfterContentInit, ElementRef, QueryList, Renderer2 } from '@angular/core';
import { Router } from '@angular/router';
import { SupportedEventsModel } from '../../components/common/models/supported-events.model';
import { TabComponent } from './tab/tab.component';
import { TabGroupModel } from './tab-group.model';
export declare class TabGroupComponent implements AfterContentInit {
    private router;
    private renderer;
    static readonly defaultProps: TabGroupModel;
    tabs: QueryList<TabComponent>;
    indicatorRef: ElementRef;
    headerRef: ElementRef;
    className: string;
    selectedIndex: number;
    transitionDuration: number;
    prefix: string;
    supportedEvents: SupportedEventsModel;
    constructor(router: Router, renderer: Renderer2);
    ngAfterContentInit(): void;
    update(): void;
    selectTab(index: number): void;
    activateIndex(index: number): void;
    moveIndicator(index: number, hasAnimation: boolean): void;
}
